#!/bin/bash
set -e

# 配置参数
REPO="oppen321/ZeroWrt-Action"

# 1. 下载GitHub Release文件
echo "➜ 下载GitHub Release文件..."

# 根据架构选择对应的tag
if [ "$model" = "x86_64" ]; then
    RELEASE_URL="https://api.github.com/repos/oppen321/ZeroWrt-Action/git/refs/tags/OpenWrt-X86_64-24.10"
elif [ "$model" = "rockchip" ]; then
    RELEASE_URL="https://api.github.com/repos/oppen321/ZeroWrt-Action/git/refs/tags/OpenWrt-Rockchip-24.10"
fi

ASSETS=$(curl -sSL "$RELEASE_URL" | jq -r '.assets[] | .browser_download_url')

if [ -z "$ASSETS" ]; then
    echo "❌ 未找到对应release的assets文件"
    exit 1
fi

mkdir -p ./downloads
cd ./downloads

for url in $ASSETS; do
    echo "正在下载: $(basename "$url")"
    wget -q --show-progress "$url"
done

rename 's/^openwrt/zerowrt-plus-$(date "+%Y%m%d")/' openwrt*
